Package com.xebialabs.xlrelease.domain.analytics

## Class ProjectedDependency

- java.lang.Object
- - com.xebialabs.xlrelease.domain.analytics.ProjectedDependency

-     public class ProjectedDependency
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `targetId` |
    `java.lang.String` | `targetTitle` |
    `java.lang.String` | `targetType` |
    `java.lang.String` | `variable` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProjectedDependency()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getTargetId()` |
    `java.lang.String` | `getTargetTitle()` |
    `java.lang.String` | `getTargetType()` |
    `java.lang.String` | `getVariable()` |
    `void` | `setTargetId​(java.lang.String targetId)` |
    `void` | `setTargetTitle​(java.lang.String targetTitle)` |
    `void` | `setTargetType​(java.lang.String targetType)` |
    `void` | `setVariable​(java.lang.String variable)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### targetId

          public java.lang.String targetId

    - #### targetType

          public java.lang.String targetType

    - #### targetTitle

          public java.lang.String targetTitle

    - #### variable

          public java.lang.String variable

  - ### Constructor Detail

    - #### ProjectedDependency

          public ProjectedDependency()

  - ### Method Detail

    - #### getTargetId

          public java.lang.String getTargetId()

    - #### setTargetId

          public void setTargetId​(java.lang.String targetId)

    - #### getTargetType

          public java.lang.String getTargetType()

    - #### setTargetType

          public void setTargetType​(java.lang.String targetType)

    - #### getTargetTitle

          public java.lang.String getTargetTitle()

    - #### setTargetTitle

          public void setTargetTitle​(java.lang.String targetTitle)

    - #### getVariable

          public java.lang.String getVariable()

    - #### setVariable

          public void setVariable​(java.lang.String variable)